#loginFondo{
    height: 100vh;
    background-image: url('../img/bg-6.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}

.btn-orange{
	color: white;
    background-color:#d5693b;
}

.btn-orange:hover{
    color: #fff;
    background-color: #c15629;
    border-color: #b65227;
}

.btn-orange:active{
	color: white !important;
    background-color:#d5693b !important; 
    border-color: #d5693b !important;
}

#btn-login:focus{
    background-color: #c15629;
    color: #fff;
}

.container-scroller-b4{
    overflow: hidden;
}

.page-body-wrapper.full-page-wrapper {
    width: 100%;
    min-height: 100vh;
    padding-top: 0;
}

.auth-form-light{
    background: #fffffff2;
}

.orangeFocus:focus {
    border-color: rgb(206 212 218);
    box-shadow: 0 0 0 0.2rem rgba(213, 105, 58, 0.5)
}

.br4px {
    border-radius: 4px !important;
}

#btn-password {
    cursor: pointer;
}

.volverLogin {
    color: #4c5152;
    font-weight: 700;
    text-decoration: none;
}

.volverLogin:hover{
    color: #343a40;
}

.h-4rem{
    height: 4rem;
}

.h-3rem{
    height: 3rem;
}

.w-12pct{
    width: 12%;
}

.fs-110pct{
    font-size: 110%;
}

.wdt-50pct{
    width: 50%;
}

/* SPINNER */

.loading {
    display: flex;
    justify-content: center;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 1;
    backdrop-filter: blur(4px);
}

.loading--full-height {
    align-items: center;
    height: 100%;
}

.loading::after {
    content: "";
    width: 50px;
    height: 50px;
    border: 10px solid #dddddd;
    border-top-color: #c15629;
    border-radius: 50%;
    transform: rotate(0.16turn);
    animation: loading 1s ease infinite;
}

@keyframes loading {
    from {
        transform: rotate(0turn);
    }
    to {
        transform: rotate(1turn);
    }
}

.hidden {
    display: none !important;
}

#tablaTurnos,
#tablaLP,
#tablaStock,
#tablaAPedir,
#tablaCristales,
#tablaPagosMora,
#tablaClientes {
    width: 100% !important;
}

#tablaTurnos_filter,
#tablaLP_filter,
#tablaStock_filter,
#tablaAPedir_filter,
#tablaPagosMora_filte,
#tablaClientes_filter {
    margin-bottom: 15px;
}

div#tablaTurnos_filter label input,
div#tablaLP_filter label input,
div#tablaStock_filter label input,
div#tablaAPedir_filter label input,
div#tablaPagosMora_filter label input,
div#tablaClientes_filter label input{
    height: 2.375rem;
}

.dt-buttons,
.btn-group-vertical {
    position: absolute !important;
    /* Alinear los botones con el buscador */
}

@media only screen and (max-width: 766px) {
    div#tablaLP_filter label,
    div#tablaStock_filter label {
        text-indent: 100%;
        overflow: hidden;
        margin-bottom: 1.5rem;
    }
    div#tablaLP_filter label input,
    div#tablaStock_filter label input {
        position: absolute;
        left: 150px;
    }
    div#tablaLP_filter label input:focus,
    div#tablaStock_filter label input:focus {
        z-index: 10;
    }
    div.dt-buttons {
        width: auto !important;
    }
}

.selectTabla {
    border: 0px;
    padding: 0px;
    /*color: #858796;*/
    font-weight: bold;
    background-color: #f8f9fc;
}

/* --- Styles Turnos --- */

div#calendar div[aria-labelledby=fc-dom-1].fc-view-harness.fc-view-harness-active {
    z-index: 0;
}

.fc-toolbar,
.fc-col-header-cell-cushion,
.fc-list-day-text { 
    text-transform: capitalize; 
}
#calendar>div.fc-view-harness.fc-view-harness-active{
    background-color: #fff;
}

.fc-day:hover:not([role=columnheader], .fc-popover){
    background-color: #add8e68c;
    cursor: pointer;
}

.fc .fc-daygrid-day.fc-day-today {
    background-color: #fd8b5a8c;
}

.btn-header:hover {
    color:white !important;
}

/*----- -----*/

div.mxWth {
    max-width: 100%;
}

.checkForm{
    margin-top: 0 !important;
    height: 2.375rem;
    width: 2.375rem;
}

#colImporte {
    display: none;
}

/*-----MDB MultiSelect------*/

button.multiselect {
    border: 1px solid #dee2e6;
    font-weight: 400;
    font-size: 0.875rem;
    border-radius: 4px;
    width: 100% !important;
    border-radius: 6px;
    height: 38px;
}

button.multiselect:focus {
    border-color: rgb(206 212 218);
    border: 1px solid rgb(134 183 254);
    box-shadow: 0 0 0rem 5px rgb(134 183 254 / 50%);
}

button.multiselect:hover{
    border: 1px solid #dee2e6;
    box-shadow: 0 0 0 0 #fff;
}

div.btn-group{
    width: 100%;
}

.multiselect-container {
    width: 100% !important;
}

.multiselect.dropdown-toggle {
    text-align: left;
}

.btn.multiselect.dropdown-toggle::after {
    position: absolute;
    left: 90%;
    top: 45%;
    color: #888;
}

.dropdown-toggle[aria-expanded="true"]:after {
    transform: rotate(180deg);
}

.multiselect-selected-text {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
}

/**/

.img-modal:hover{
    /*box-shadow: 0 0 0px 4px #0d6efd;*/
    box-shadow: 0 0 0px 4px #d5693b;
    border-radius: 4px;
    /*border: 2px solid #4B49AC;*/
}

.pdf-modal{
    transition: transform .2s; 
 }

.pdf-modal:hover{
   transform: scale(1.05); 
}

#observaciones {
    resize: none;
}

/*----------------------DragFiles----------------------*/
.wrapperArchivo{
    /*width: 100%;*/
    /*width: 430px;*/
    background: #fff;
    border-radius: 5px;
    padding: 30px;
    box-shadow: 7px 7px 12px rgba(0,0,0,0.05);
}

.wrapperArchivo{
    height: 180px;
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-radius: 5px;
    border : 3px dashed #d5693b;
}

.wrapperArchivo :where(i, p){
    color: #d5693b;
}

.wrapperArchivo i{
    font-size: 50px;
}

.wrapperArchivo p{
    margin-top: 15px;
    font-size: 16px;
    font-weight: bold;
}

.wrapperArchivo:hover{
    background: #00000024;
}

.wrapperArchivo :where(i,p){
    pointer-events: none;
}

div#wrapperArchivo .fa-cloud-arrow-up{
    color: #d5693b;
}

.eliminarArchivo{
    float: right;
    color: #696969;
}

.eliminarArchivo:hover {
    cursor: pointer;
    opacity: 0.8;
}

.dispNone{
    display: none;
}

.nombreArchivo{
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.fc-icon-caja {
    display: flex;
    align-items: center;
}

.dtsb-button {
    background-color: #808080;
}

.ph10px {
    padding-inline: 10px;
}

/*----------------------DragPrecios----------------------*/
.wrapperPrecio{
    width: 100%;
    /*width: 430px;*/
    background: #fff;
    border-radius: 5px;
    padding: 30px;
    box-shadow: 7px 7px 12px rgba(0,0,0,0.05);
}

.formPrecio{
    height: 180px;
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-radius: 5px;
    border : 2px dashed #3f3e91;
}

.formPrecio :where(i, p){
    color: #3f3e91;
}

.formPrecio i{
    font-size: 50px;
}

.formPrecio p{
    margin-top: 15px;
    font-size: 16px;
    font-weight: bold;
}

.formPrecio:hover{
    background: #00000024;
}

.formPrecio :where(i,p){
    pointer-events: none;
}

/* --- Cargar Archivos --- */

#btnCargarArchivo{
    padding: 10px 15px 10px 15px;
    /*font-size: 15px;
    height: 35px;*/
}

#btnCargarPrecio{
    padding: 10px 15px 10px 15px;
    /*font-size: 15px;
    height: 35px;*/
}

.uploaded {
    /*width: 375px;*/
    width: 35%;
    min-width: 300px;
    margin: 10px;
    background-color: #fff;
    border-radius: 10px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.uploaded-ListaPrecio {
    /*width: 375px;*/
    width: 50%;
    min-width: 300px;
    margin: 10px;
    background-color: #fff;
    border-radius: 10px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

div.uploaded i.fa-file-pdf,
div.uploaded i.fa-file-image{
    padding: 15px;
    font-size: 40px;
}

div.uploaded-ListaPrecio i.fa-file-excel{
    padding: 15px;
    font-size: 40px;
}

.file {
    display: flex;
    flex-direction: column;
    width: 80%;
}

.file__name {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
    /*width: 300px;*/
    line-height: 0;
    /*color: #0c3214;*/
    font-size: 18px;
    letter-spacing: 1.5px;
}

.nombreArchivo{
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.fa-times {
    font-weight: 900;
}

.fa-times:hover {
    cursor: pointer;
    opacity: 0.8;
}

.eliminarArchivo{
    float: right;
    color: #696969;
}

/*----------------------Progress Bar----------------------*/


#Progress {
    width: 100%;
    animation-name: progressBar;
    animation-iteration-count: 1;
    animation-duration: 2s;
}

@keyframes progressBar {
    0% {
    width: 10%;
    }

    100% {
    width: 100%;
    }
}
